/*
 * qlist.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * qlist: is meant to be a singly-linked list type, with low memory footprint and 
 * simple, stripped-down code. However currently it's just a typedef for list<T> :)
 *
 * (The Dinkumware slist is a sort of model -- I like their special iterators which
 * allow you to keep the standard STL model for insert, erase etc. However I probably
 * won't need the full complexity of their class, eg don't bother with allocators.)
 *
 */

#ifndef QLIST_HPP
#define QLIST_HPP

#include <list>

template<class T> class qlist : public std::list<T> { };  // that ought to do it

#endif

