/*
 * sdl_font.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef SDL_FONT_HPP
#define SDL_FONT_HPP

class SDL_Surface;

class SDLFont {
public:
	// NB. font surface is owned by the caller.
	explicit SDLFont(SDL_Surface *font);

	// coords relative to top-left of the text.
	void drawText(SDL_Surface *scr, int tl_x, int tl_y, const char *txt,
				  int r, int g, int b) const;

	int getTextWidth(const char *txt) const;
	int getTextHeight() const;
	
private:
	SDL_Surface *font;
	int ofs[256];
	int width[256];
};

#endif
